org.apache.velocity.tools.generic

## Class ImportSupport.SafeClosingHttpURLConnectionReader

- java.lang.Object
- - java.io.Reader
  - - org.apache.velocity.tools.generic.ImportSupport.SafeClosingHttpURLConnectionReader

All Implemented Interfaces:
  Closeable, AutoCloseable, Readable

Enclosing class:
  ImportSupport

    protected static class ImportSupport.SafeClosingHttpURLConnectionReader
    extends Reader

### Field Summary

### Fields inherited from class java.io.Reader

`lock`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `mark(int readAheadLimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(char[] buf)`
`int` `read(char[] buf, int off, int len)`
`boolean` `ready()`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.io.Reader

`read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `Reader`
Throws:
  `IOException`

#### mark

    public void mark(int readAheadLimit)
              throws IOException

Overrides:
  `mark` in class `Reader`
Throws:
  `IOException`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `Reader`

#### read

    public int read()
             throws IOException

Overrides:
  `read` in class `Reader`
Throws:
  `IOException`

#### read

    public int read(char[] buf)
             throws IOException

Overrides:
  `read` in class `Reader`
Throws:
  `IOException`

#### read

    public int read(char[] buf,
                    int off,
                    int len)
             throws IOException

Specified by:
  `read` in class `Reader`
Throws:
  `IOException`

#### ready

    public boolean ready()
                  throws IOException

Overrides:
  `ready` in class `Reader`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `Reader`
Throws:
  `IOException`

#### skip

    public long skip(long n)
              throws IOException

Overrides:
  `skip` in class `Reader`
Throws:
  `IOException`